using MauiAppStock.Models;
using MauiAppStock.ViewModels;

namespace MauiAppStock.Views
{
    public partial class AppareilsPage : ContentPage
    {
        public AppareilsPage()
        {
            InitializeComponent();
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();
            var viewModel = BindingContext as AppareilsViewModel;
            viewModel.LoadAppareilsCommand.Execute(null);
        }

        private async void OnAddAppareilClicked(object sender, EventArgs e)
        {
            // Navigation vers la page d'ajout
            await Navigation.PushAsync(new AddAppareilPage());
        }

        private async void OnAppareilTapped(object sender, ItemTappedEventArgs e)
        {
            if (e.Item is Appareil selectedAppareil)
            {
                // Navigation vers la page d'édition avec l'appareil sélectionné
                await Navigation.PushAsync(new EditAppareilPage(selectedAppareil));
            }
        }
    }
}